## Description
Retrieve all actions with specific account name referenced in authorization or receiver

## Positional Parameters
- `account_name` _TEXT_ - name of account to query on (required)
- `pos` _INT_ - sequence number of action for this account, -1 for last (optional)
- `offset` _INT_ - get actions [pos, pos + offset] for positive offset or [pos - offset, pos] for negative offset

## Options

- `-j,--json` - print full json
- `--full` - don't truncate action output
- `--pretty` - pretty print full action json
- `--console` - print console output generated by action

## Examples
Retrieve and save abi for eosio.token contract

```sh
cleos get actions eosio.token
```
```console
#  seq  when                              contract::action => receiver      trx id...   args
================================================================================================================
#  976   2018-06-01T19:54:05.000     eosio.token::transfer => eosio.token   1d1fe154... {"from":"userae","to":"useraa","quantity":"0.000...
#  977   2018-06-01T19:54:05.000     eosio.token::transfer => eosio.token   a0c9e5bc... {"from":"userab","to":"useraa","quantity":"0.000...
#  978   2018-06-01T19:54:05.000     eosio.token::transfer => eosio.token   3749d0d1... {"from":"userab","to":"userah","quantity":"0.000...
#  979   2018-06-01T19:54:05.000     eosio.token::transfer => eosio.token   dda205b0... {"from":"userai","to":"useraj","quantity":"0.000...
#  980   2018-06-01T19:54:05.000     eosio.token::transfer => eosio.token   14089e9b... {"from":"userab","to":"userae","quantity":"0.000...
#  981   2018-06-01T19:54:05.000     eosio.token::transfer => eosio.token   6882cefc... {"from":"useraj","to":"userab","quantity":"0.000...
...
```
