---
content_title: EOSIO v2.0.1 Release Notes
link_text: v2.0.1
---

This release contains security, stability, and miscellaneous fixes.

## Security bug fixes

### Consolidated Security Fixes for 2.0.1 ([#8514](https://github.com/EOSIO/eos/pull/8514))

- Earlier block validation for greater security.
- Improved handling of deferred transactions during block production.
- Reduce net plugin logging and handshake size limits.

Note: These security fixes are relevant to all nodes on EOSIO blockchain networks.

## Stability bug fixes

- ([#8471](https://github.com/EOSIO/eos/pull/8471)) Remove new block id notify feature - 2.0
- ([#8472](https://github.com/EOSIO/eos/pull/8472)) Report block header diff when digests do not match - 2.0
- ([#8496](https://github.com/EOSIO/eos/pull/8496)) Drop late blocks - 2.0
- ([#8510](https://github.com/EOSIO/eos/pull/8510)) http_plugin shutdown - 2.0

## Other Changes

- ([#8430](https://github.com/EOSIO/eos/pull/8430)) Update fc to fix crash in logging
- ([#8435](https://github.com/EOSIO/eos/pull/8435)) [release/2.0.x] Update README.md and hotfix documentation links
- ([#8452](https://github.com/EOSIO/eos/pull/8452)) [2.0.x] [CI/CD] Boost will not install without SDKROOT
- ([#8457](https://github.com/EOSIO/eos/pull/8457)) [2.0.x] reverting fc
- ([#8458](https://github.com/EOSIO/eos/pull/8458)) [2.0.x] Pipeline file for testing the build script
- ([#8467](https://github.com/EOSIO/eos/pull/8467)) [2.0.x] Switching to using the EOSIO fork of anka-buildkite-plugin for security reasons
- ([#8515](https://github.com/EOSIO/eos/pull/8515)) [2.0.x] Don't trigger LRT a second time

## Deprecation notice reminder

Please refer to the [Consolidated EOSIO Deprecations List](https://github.com/EOSIO/eos/issues/7597) for the currently active set of deprecation notices. 
